/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QFILEINFO
#define QT_QFILEINFO
#include <qfileinf.h>
extern "C" {
#include "qtc_types.h"


enum { ReadUser = 0400, WriteUser = 0200, ExeUser = 0100, ReadGroup = 0040, WriteGroup = 0020, ExeGroup = 0010, ReadOther = 0004, WriteOther = 0002, ExeOther = 0001 };

qt_QFileInfo *qt_new_QFileInfo();
qt_QFileInfo *qt_new_QFileInfo1(char* file);
qt_QFileInfo *qt_new_QFileInfo2(qt_QFile * arg1);
qt_QFileInfo *qt_new_QFileInfo3(qt_QDir * arg1,char* fileName);
qt_QFileInfo *qt_new_QFileInfo4(qt_QFileInfo * arg1);

void qt_QFileInfo_setFile( qt_QFileInfo *instPointer,char* file);
void qt_QFileInfo_setFile1( qt_QFileInfo *instPointer,qt_QFile * arg1);
void qt_QFileInfo_setFile2( qt_QFileInfo *instPointer,qt_QDir * arg1,char* fileName);
int qt_QFileInfo_exists( qt_QFileInfo *instPointer);
void qt_QFileInfo_refresh( qt_QFileInfo *instPointer);
int qt_QFileInfo_caching( qt_QFileInfo *instPointer);
void qt_QFileInfo_setCaching( qt_QFileInfo *instPointer,int arg1);
char* qt_QFileInfo_filePath( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_fileName( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_absFilePath( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_baseName( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_extension( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_dirPath( qt_QFileInfo *instPointer,int absPath);
qt_QDir * qt_QFileInfo_dir( qt_QFileInfo *instPointer,int absPath);
int qt_QFileInfo_isReadable( qt_QFileInfo *instPointer);
int qt_QFileInfo_isWritable( qt_QFileInfo *instPointer);
int qt_QFileInfo_isExecutable( qt_QFileInfo *instPointer);
int qt_QFileInfo_isRelative( qt_QFileInfo *instPointer);
int qt_QFileInfo_convertToAbs( qt_QFileInfo *instPointer);
int qt_QFileInfo_isFile( qt_QFileInfo *instPointer);
int qt_QFileInfo_isDir( qt_QFileInfo *instPointer);
int qt_QFileInfo_isSymLink( qt_QFileInfo *instPointer);
qt_QString * qt_QFileInfo_readLink( qt_QFileInfo *instPointer);
char* qt_QFileInfo_owner( qt_QFileInfo *instPointer);
unsigned int qt_QFileInfo_ownerId( qt_QFileInfo *instPointer);
char* qt_QFileInfo_group( qt_QFileInfo *instPointer);
unsigned int qt_QFileInfo_groupId( qt_QFileInfo *instPointer);
int qt_QFileInfo_permission( qt_QFileInfo *instPointer,int permissionSpec);
unsigned int qt_QFileInfo_size( qt_QFileInfo *instPointer);
qt_QDateTime * qt_QFileInfo_lastModified( qt_QFileInfo *instPointer);
qt_QDateTime * qt_QFileInfo_lastRead( qt_QFileInfo *instPointer);

}
#endif