/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QPAINTER
#define QT_QPAINTER
#include <qpainter.h>
extern "C" {
#include "qtc_types.h"


qt_QPainter *qt_new_QPainter();
qt_QPainter *qt_new_QPainter1(qt_QPaintDevice * arg1);

int qt_QPainter_begin( qt_QPainter *instPointer,qt_QPaintDevice * arg1);
int qt_QPainter_end( qt_QPainter *instPointer);
qt_QPaintDevice * qt_QPainter_device( qt_QPainter *instPointer);
void qt_QPainter_redirect( qt_QPaintDevice * pdev,qt_QPaintDevice * replacement);
int qt_QPainter_isActive( qt_QPainter *instPointer);
void qt_QPainter_flush( qt_QPainter *instPointer);
void qt_QPainter_save( qt_QPainter *instPointer);
void qt_QPainter_restore( qt_QPainter *instPointer);
qt_QFontMetrics * qt_QPainter_fontMetrics( qt_QPainter *instPointer);
qt_QFontInfo * qt_QPainter_fontInfo( qt_QPainter *instPointer);
qt_QFont * qt_QPainter_font( qt_QPainter *instPointer);
void qt_QPainter_setFont( qt_QPainter *instPointer,qt_QFont * arg1);
qt_QPen * qt_QPainter_pen( qt_QPainter *instPointer);
void qt_QPainter_setPen( qt_QPainter *instPointer,qt_QPen * arg1);
void qt_QPainter_setPen1( qt_QPainter *instPointer,int arg1);
void qt_QPainter_setPen2( qt_QPainter *instPointer,qt_QColor * arg1);
qt_QBrush * qt_QPainter_brush( qt_QPainter *instPointer);
void qt_QPainter_setBrush( qt_QPainter *instPointer,qt_QBrush * arg1);
void qt_QPainter_setBrush1( qt_QPainter *instPointer,int arg1);
void qt_QPainter_setBrush2( qt_QPainter *instPointer,qt_QColor * arg1);
qt_QColor * qt_QPainter_backgroundColor( qt_QPainter *instPointer);
void qt_QPainter_setBackgroundColor( qt_QPainter *instPointer,qt_QColor * arg1);
int qt_QPainter_backgroundMode( qt_QPainter *instPointer);
void qt_QPainter_setBackgroundMode( qt_QPainter *instPointer,int arg1);
int qt_QPainter_rasterOp( qt_QPainter *instPointer);
void qt_QPainter_setRasterOp( qt_QPainter *instPointer,int arg1);
qt_QPoint * qt_QPainter_brushOrigin( qt_QPainter *instPointer);
void qt_QPainter_setBrushOrigin( qt_QPainter *instPointer,int x,int y);
void qt_QPainter_setBrushOrigin1( qt_QPainter *instPointer,qt_QPoint * arg1);
void qt_QPainter_setViewXForm( qt_QPainter *instPointer,int arg1);
int qt_QPainter_hasViewXForm( qt_QPainter *instPointer);
qt_QRect * qt_QPainter_window( qt_QPainter *instPointer);
void qt_QPainter_setWindow( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_setWindow1( qt_QPainter *instPointer,int x,int y,int w,int h);
qt_QRect * qt_QPainter_viewport( qt_QPainter *instPointer);
void qt_QPainter_setViewport( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_setViewport1( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_setWorldXForm( qt_QPainter *instPointer,int arg1);
int qt_QPainter_hasWorldXForm( qt_QPainter *instPointer);
qt_QWMatrix * qt_QPainter_worldMatrix( qt_QPainter *instPointer);
void qt_QPainter_setWorldMatrix( qt_QPainter *instPointer,qt_QWMatrix * arg1,int concat);
void qt_QPainter_translate( qt_QPainter *instPointer,float dx,float dy);
void qt_QPainter_scale( qt_QPainter *instPointer,float sx,float sy);
void qt_QPainter_shear( qt_QPainter *instPointer,float sh,float sv);
void qt_QPainter_rotate( qt_QPainter *instPointer,float a);
void qt_QPainter_resetXForm( qt_QPainter *instPointer);
qt_QPoint * qt_QPainter_xForm( qt_QPainter *instPointer,qt_QPoint * arg1);
qt_QRect * qt_QPainter_xForm1( qt_QPainter *instPointer,qt_QRect * arg1);


/**************************************/
/*This function didn't wrap*/
/*XXX qt_QPainter_xForm2( qt_QPainter *instPointer,XXX arg1);*/
/**/

qt_QPoint * qt_QPainter_xFormDev( qt_QPainter *instPointer,qt_QPoint * arg1);
qt_QRect * qt_QPainter_xFormDev1( qt_QPainter *instPointer,qt_QRect * arg1);


/**************************************/
/*This function didn't wrap*/
/*XXX qt_QPainter_xFormDev2( qt_QPainter *instPointer,XXX arg1);*/
/**/

void qt_QPainter_setClipping( qt_QPainter *instPointer,int arg1);
int qt_QPainter_hasClipping( qt_QPainter *instPointer);
qt_QRegion * qt_QPainter_clipRegion( qt_QPainter *instPointer);
void qt_QPainter_setClipRect( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_setClipRect1( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_setClipRegion( qt_QPainter *instPointer,qt_QRegion * arg1);
void qt_QPainter_drawPoint( qt_QPainter *instPointer,int x,int y);
void qt_QPainter_drawPoint1( qt_QPainter *instPointer,qt_QPoint * arg1);


/**************************************/
/*This function didn't wrap*/
/*void qt_QPainter_drawPoints( qt_QPainter *instPointer,XXX a,int index,int npoints);*/
/**/

void qt_QPainter_moveTo( qt_QPainter *instPointer,int x,int y);
void qt_QPainter_moveTo1( qt_QPainter *instPointer,qt_QPoint * arg1);
void qt_QPainter_lineTo( qt_QPainter *instPointer,int x,int y);
void qt_QPainter_lineTo1( qt_QPainter *instPointer,qt_QPoint * arg1);
void qt_QPainter_drawLine( qt_QPainter *instPointer,int x1,int y1,int x2,int y2);
void qt_QPainter_drawLine1( qt_QPainter *instPointer,qt_QPoint * arg1,qt_QPoint * arg2);
void qt_QPainter_drawRect( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_drawRect1( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_drawWinFocusRect( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_drawWinFocusRect1( qt_QPainter *instPointer,int x,int y,int w,int h,qt_QColor * bgColor);
void qt_QPainter_drawWinFocusRect2( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_drawWinFocusRect3( qt_QPainter *instPointer,qt_QRect * arg1,qt_QColor * bgColor);
void qt_QPainter_drawRoundRect( qt_QPainter *instPointer,int x,int y,int w,int h,int arg1,int arg2);
void qt_QPainter_drawRoundRect1( qt_QPainter *instPointer,qt_QRect * arg1,int arg2,int arg3);
void qt_QPainter_drawEllipse( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_drawEllipse1( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_drawArc( qt_QPainter *instPointer,int x,int y,int w,int h,int a,int alen);
void qt_QPainter_drawArc1( qt_QPainter *instPointer,qt_QRect * arg1,int a,int alen);
void qt_QPainter_drawPie( qt_QPainter *instPointer,int x,int y,int w,int h,int a,int alen);
void qt_QPainter_drawPie1( qt_QPainter *instPointer,qt_QRect * arg1,int a,int alen);
void qt_QPainter_drawChord( qt_QPainter *instPointer,int x,int y,int w,int h,int a,int alen);
void qt_QPainter_drawChord1( qt_QPainter *instPointer,qt_QRect * arg1,int a,int alen);


/**************************************/
/*This function didn't wrap*/
/*void qt_QPainter_drawLineSegments( qt_QPainter *instPointer,XXX arg1,int index,int nlines);*/
/**/



/**************************************/
/*This function didn't wrap*/
/*void qt_QPainter_drawPolyline( qt_QPainter *instPointer,XXX arg1,int index,int npoints);*/
/**/



/**************************************/
/*This function didn't wrap*/
/*void qt_QPainter_drawPolygon( qt_QPainter *instPointer,XXX arg1,int winding,int index,int npoints);*/
/**/



/**************************************/
/*This function didn't wrap*/
/*void qt_QPainter_drawQuadBezier( qt_QPainter *instPointer,XXX arg1,int index);*/
/**/

void qt_QPainter_drawPixmap( qt_QPainter *instPointer,int x,int y,qt_QPixmap * arg1,int sx,int sy,int sw,int sh);
void qt_QPainter_drawPixmap1( qt_QPainter *instPointer,qt_QPoint * arg1,qt_QPixmap * arg2,qt_QRect * sr);
void qt_QPainter_drawPixmap2( qt_QPainter *instPointer,qt_QPoint * arg1,qt_QPixmap * arg2);
void qt_QPainter_drawPicture( qt_QPainter *instPointer,qt_QPicture * arg1);
void qt_QPainter_fillRect( qt_QPainter *instPointer,int x,int y,int w,int h,qt_QBrush * arg1);
void qt_QPainter_fillRect1( qt_QPainter *instPointer,qt_QRect * arg1,qt_QBrush * arg2);
void qt_QPainter_eraseRect( qt_QPainter *instPointer,int x,int y,int w,int h);
void qt_QPainter_eraseRect1( qt_QPainter *instPointer,qt_QRect * arg1);
void qt_QPainter_drawText( qt_QPainter *instPointer,int x,int y,char* str,int len);
void qt_QPainter_drawText1( qt_QPainter *instPointer,qt_QPoint * arg1,char* str,int len);
void qt_QPainter_drawText2( qt_QPainter *instPointer,int x,int y,int w,int h,int flags,char* str,int len,qt_QRect * br,char** internal);
void qt_QPainter_drawText3( qt_QPainter *instPointer,qt_QRect * arg1,int flags,char* str,int len,qt_QRect * br,char** internal);
qt_QRect * qt_QPainter_boundingRect( qt_QPainter *instPointer,int x,int y,int w,int h,int flags,char* str,int len,char** intern);
qt_QRect * qt_QPainter_boundingRect1( qt_QPainter *instPointer,qt_QRect * arg1,int flags,char* str,int len,char** intern);
int qt_QPainter_tabStops( qt_QPainter *instPointer);
void qt_QPainter_setTabStops( qt_QPainter *instPointer,int arg1);
int qt_QPainter_tabArray( qt_QPainter *instPointer);
void qt_QPainter_setTabArray( qt_QPainter *instPointer,int arg1);
unsigned int qt_QPainter_handle( qt_QPainter *instPointer);
void qt_QPainter_initialize();
void qt_QPainter_cleanup();

}
#endif