/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QRECT
#define QT_QRECT
#include <qrect.h>
extern "C" {
#include "qtc_types.h"
qt_QRect *qt_new_QRect();
qt_QRect *qt_new_QRect1(qt_QPoint * topleft,qt_QPoint * bottomright);
qt_QRect *qt_new_QRect2(qt_QPoint * topleft,qt_QSize * size);
qt_QRect *qt_new_QRect3(int left,int top,int width,int height);
int qt_QRect_isNull( qt_QRect *instPointer);
int qt_QRect_isEmpty( qt_QRect *instPointer);
int qt_QRect_isValid( qt_QRect *instPointer);
qt_QRect * qt_QRect_normalize( qt_QRect *instPointer);
int qt_QRect_left( qt_QRect *instPointer);
int qt_QRect_top( qt_QRect *instPointer);
int qt_QRect_right( qt_QRect *instPointer);
int qt_QRect_bottom( qt_QRect *instPointer);
int qt_QRect_x( qt_QRect *instPointer);
int qt_QRect_y( qt_QRect *instPointer);
void qt_QRect_setLeft( qt_QRect *instPointer,int pos);
void qt_QRect_setTop( qt_QRect *instPointer,int pos);
void qt_QRect_setRight( qt_QRect *instPointer,int pos);
void qt_QRect_setBottom( qt_QRect *instPointer,int pos);
void qt_QRect_setX( qt_QRect *instPointer,int x);
void qt_QRect_setY( qt_QRect *instPointer,int y);
qt_QPoint * qt_QRect_topLeft( qt_QRect *instPointer);
qt_QPoint * qt_QRect_bottomRight( qt_QRect *instPointer);
qt_QPoint * qt_QRect_topRight( qt_QRect *instPointer);
qt_QPoint * qt_QRect_bottomLeft( qt_QRect *instPointer);
qt_QPoint * qt_QRect_center( qt_QRect *instPointer);
void qt_QRect_rect( qt_QRect *instPointer,int x,int y,int w,int h);
void qt_QRect_coords( qt_QRect *instPointer,int x1,int y1,int x2,int y2);
void qt_QRect_moveTopLeft( qt_QRect *instPointer,qt_QPoint * p);
void qt_QRect_moveBottomRight( qt_QRect *instPointer,qt_QPoint * p);
void qt_QRect_moveTopRight( qt_QRect *instPointer,qt_QPoint * p);
void qt_QRect_moveBottomLeft( qt_QRect *instPointer,qt_QPoint * p);
void qt_QRect_moveCenter( qt_QRect *instPointer,qt_QPoint * p);
void qt_QRect_moveBy( qt_QRect *instPointer,int dx,int dy);
void qt_QRect_setRect( qt_QRect *instPointer,int x,int y,int w,int h);
void qt_QRect_setCoords( qt_QRect *instPointer,int x1,int y1,int x2,int y2);
qt_QSize * qt_QRect_size( qt_QRect *instPointer);
int qt_QRect_width( qt_QRect *instPointer);
int qt_QRect_height( qt_QRect *instPointer);
void qt_QRect_setWidth( qt_QRect *instPointer,int w);
void qt_QRect_setHeight( qt_QRect *instPointer,int h);
void qt_QRect_setSize( qt_QRect *instPointer,qt_QSize * s);
int qt_QRect_contains( qt_QRect *instPointer,qt_QPoint * p,int proper);
int qt_QRect_contains1( qt_QRect *instPointer,qt_QRect * r,int proper);
qt_QRect * qt_QRect_unite( qt_QRect *instPointer,qt_QRect * r);
qt_QRect * qt_QRect_intersect( qt_QRect *instPointer,qt_QRect * r);
int qt_QRect_intersects( qt_QRect *instPointer,qt_QRect * r);

}
#endif