/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_QWidget.h"

qt_QWidget *qt_new_QWidget(qt_QWidget * parent,char* name,uint f)

{
	return (qt_QWidget *) new QWidget( (QWidget*)parent,(char*)name,(WFlags)f );
}

void qt_del_QWidget (qt_QWidget *p)
{
delete (QWidget*) p;
}


uint qt_QWidget_winId( qt_QWidget *instPointer){
	return (uint)((QWidget *)instPointer)->winId();
}
int qt_QWidget_style( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->style();
}
void qt_QWidget_setStyle( qt_QWidget *instPointer,int arg1){
	((QWidget *)instPointer)->setStyle((GUIStyle )arg1);
}
int qt_QWidget_isTopLevel( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isTopLevel();
}
int qt_QWidget_isModal( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isModal();
}
int qt_QWidget_isPopup( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isPopup();
}
int qt_QWidget_isDesktop( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isDesktop();
}
int qt_QWidget_isEnabled( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isEnabled();
}
void qt_QWidget_setEnabled( qt_QWidget *instPointer,int arg1){
	((QWidget *)instPointer)->setEnabled((bool )arg1);
}
qt_QRect * qt_QWidget_frameGeometry( qt_QWidget *instPointer){
    QRect r=((QWidget *)instPointer)->frameGeometry();
    return (qt_QRect *)new QRect(r.left(),r.top(),r.width(),r.height());
}
qt_QRect * qt_QWidget_geometry( qt_QWidget *instPointer){
    QRect r=((QWidget *)instPointer)->geometry();
    return (qt_QRect *)new QRect(r.left(),r.top(),r.width(),r.height());
}
int qt_QWidget_x( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->x();
}
int qt_QWidget_y( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->y();
}
qt_QPoint * qt_QWidget_pos( qt_QWidget *instPointer){
    QPoint p=((QWidget *)instPointer)->pos();
    return (qt_QPoint *)new QPoint (p.x(),p.y());
}
qt_QSize * qt_QWidget_size( qt_QWidget *instPointer){
    QSize s=((QWidget *)instPointer)->size();
    return (qt_QSize *)new QSize (s.width(),s.height());
}
int qt_QWidget_width( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->width();
}
int qt_QWidget_height( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->height();
}
qt_QRect * qt_QWidget_rect( qt_QWidget *instPointer){
    QRect r=((QWidget *)instPointer)->rect();
    return (qt_QRect *)new QRect(r.left(),r.top(),r.width(),r.height());
}
qt_QRect * qt_QWidget_childrenRect( qt_QWidget *instPointer){
    QRect r=((QWidget *)instPointer)->childrenRect();
    return (qt_QRect *)new QRect(r.left(),r.top(),r.width(),r.height());
}
qt_QSize * qt_QWidget_minimumSize( qt_QWidget *instPointer){
    QSize s=((QWidget *)instPointer)->minimumSize();
    return (qt_QSize *)new QSize (s.width(),s.height());
}
qt_QSize * qt_QWidget_maximumSize( qt_QWidget *instPointer){
    QSize s=((QWidget *)instPointer)->maximumSize();
    return (qt_QSize *)new QSize (s.width(),s.height());
}
void qt_QWidget_setMinimumSize( qt_QWidget *instPointer,qt_QSize * arg1){
	((QWidget *)instPointer)->setMinimumSize((QSize& )*arg1);
}
void qt_QWidget_setMinimumSize1( qt_QWidget *instPointer,int w,int h){
	((QWidget *)instPointer)->setMinimumSize((int )w,(int )h);
}
void qt_QWidget_setMaximumSize( qt_QWidget *instPointer,qt_QSize * arg1){
	((QWidget *)instPointer)->setMaximumSize((QSize& )*arg1);
}
void qt_QWidget_setMaximumSize1( qt_QWidget *instPointer,int w,int h){
	((QWidget *)instPointer)->setMaximumSize((int )w,(int )h);
}
void qt_QWidget_setMinimumWidth( qt_QWidget *instPointer,int w){
	((QWidget *)instPointer)->setMinimumWidth((int )w);
}
void qt_QWidget_setMinimumHeight( qt_QWidget *instPointer,int h){
	((QWidget *)instPointer)->setMinimumHeight((int )h);
}
void qt_QWidget_setMaximumWidth( qt_QWidget *instPointer,int w){
	((QWidget *)instPointer)->setMaximumWidth((int )w);
}
void qt_QWidget_setMaximumHeight( qt_QWidget *instPointer,int h){
	((QWidget *)instPointer)->setMaximumHeight((int )h);
}
qt_QSize * qt_QWidget_sizeIncrement( qt_QWidget *instPointer){
    QSize s=((QWidget *)instPointer)->sizeIncrement();
    return (qt_QSize *)new QSize (s.width(),s.height());
}
void qt_QWidget_setSizeIncrement( qt_QWidget *instPointer,qt_QSize * arg1){
	((QWidget *)instPointer)->setSizeIncrement((QSize& )*arg1);
}
void qt_QWidget_setSizeIncrement1( qt_QWidget *instPointer,int w,int h){
	((QWidget *)instPointer)->setSizeIncrement((int )w,(int )h);
}
void qt_QWidget_setFixedSize( qt_QWidget *instPointer,qt_QSize * arg1){
	((QWidget *)instPointer)->setFixedSize((QSize& )*arg1);
}
void qt_QWidget_setFixedSize1( qt_QWidget *instPointer,int w,int h){
	((QWidget *)instPointer)->setFixedSize((int )w,(int )h);
}
void qt_QWidget_setFixedWidth( qt_QWidget *instPointer,int w){
	((QWidget *)instPointer)->setFixedWidth((int )w);
}
void qt_QWidget_setFixedHeight( qt_QWidget *instPointer,int h){
	((QWidget *)instPointer)->setFixedHeight((int )h);
}
qt_QPoint * qt_QWidget_mapToGlobal( qt_QWidget *instPointer,qt_QPoint * arg1){
    QPoint p=((QWidget *)instPointer)->mapToGlobal((QPoint& )*arg1);
    return (qt_QPoint *)new QPoint (p.x(),p.y());
}
qt_QPoint * qt_QWidget_mapFromGlobal( qt_QWidget *instPointer,qt_QPoint * arg1){
    QPoint p=((QWidget *)instPointer)->mapFromGlobal((QPoint& )*arg1);
    return (qt_QPoint *)new QPoint (p.x(),p.y());
}
qt_QPoint * qt_QWidget_mapToParent( qt_QWidget *instPointer,qt_QPoint * arg1){
    QPoint p=((QWidget *)instPointer)->mapToParent((QPoint& )*arg1);
    return (qt_QPoint *)new QPoint (p.x(),p.y());
}
qt_QPoint * qt_QWidget_mapFromParent( qt_QWidget *instPointer,qt_QPoint * arg1){
    QPoint p=((QWidget *)instPointer)->mapFromParent((QPoint& )*arg1);
    return (qt_QPoint *)new QPoint (p.x(),p.y());
}
qt_QWidget * qt_QWidget_topLevelWidget( qt_QWidget *instPointer){
	return (qt_QWidget *)((QWidget *)instPointer)->topLevelWidget();
}
int qt_QWidget_backgroundMode( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->backgroundMode();
}
void qt_QWidget_setBackgroundMode( qt_QWidget *instPointer,int arg1){
	((QWidget *)instPointer)->setBackgroundMode((BackgroundMode )arg1);
}
qt_QColor * qt_QWidget_backgroundColor( qt_QWidget *instPointer){
	return (qt_QColor *)new QColor(((QWidget *)instPointer)->backgroundColor());
}
qt_QColor * qt_QWidget_foregroundColor( qt_QWidget *instPointer){
	return (qt_QColor *)new QColor(((QWidget *)instPointer)->foregroundColor());
}
void qt_QWidget_setBackgroundColor( qt_QWidget *instPointer,qt_QColor * arg1){
	((QWidget *)instPointer)->setBackgroundColor((QColor& )*arg1);
}
qt_QPixmap * qt_QWidget_backgroundPixmap( qt_QWidget *instPointer){
	return (qt_QPixmap *)((QWidget *)instPointer)->backgroundPixmap();
}
void qt_QWidget_setBackgroundPixmap( qt_QWidget *instPointer,qt_QPixmap * arg1){
	((QWidget *)instPointer)->setBackgroundPixmap((QPixmap& )*arg1);
}
qt_QColorGroup * qt_QWidget_colorGroup( qt_QWidget *instPointer){
	return (qt_QColorGroup *)new QColorGroup(((QWidget *)instPointer)->colorGroup());
}
qt_QPalette * qt_QWidget_palette( qt_QWidget *instPointer){
	return (qt_QPalette *)new QPalette(((QWidget *)instPointer)->palette());
}
void qt_QWidget_setPalette( qt_QWidget *instPointer,qt_QPalette * arg1){
	((QWidget *)instPointer)->setPalette((QPalette& )*arg1);
}
qt_QFont * qt_QWidget_font( qt_QWidget *instPointer){
	return (qt_QFont *)new QFont(((QWidget *)instPointer)->font());
}
void qt_QWidget_setFont( qt_QWidget *instPointer,qt_QFont * arg1){
	((QWidget *)instPointer)->setFont((QFont& )*arg1);
}
qt_QFontMetrics * qt_QWidget_fontMetrics( qt_QWidget *instPointer){
	return (qt_QFontMetrics *)new QFontMetrics(((QWidget *)instPointer)->fontMetrics());
}
qt_QFontInfo * qt_QWidget_fontInfo( qt_QWidget *instPointer){
	return (qt_QFontInfo *)new QFontInfo(((QWidget *)instPointer)->fontInfo());
}
qt_QCursor * qt_QWidget_cursor( qt_QWidget *instPointer){
	return (qt_QCursor *)new QCursor(((QWidget *)instPointer)->cursor());
}
void qt_QWidget_setCursor( qt_QWidget *instPointer,qt_QCursor * arg1){
	((QWidget *)instPointer)->setCursor((QCursor& )*arg1);
}
char* qt_QWidget_caption( qt_QWidget *instPointer){
	return (char*)((QWidget *)instPointer)->caption();
}
void qt_QWidget_setCaption( qt_QWidget *instPointer,char* arg1){
	((QWidget *)instPointer)->setCaption((char* )arg1);
}
qt_QPixmap * qt_QWidget_icon( qt_QWidget *instPointer){
	return (qt_QPixmap *)((QWidget *)instPointer)->icon();
}
void qt_QWidget_setIcon( qt_QWidget *instPointer,qt_QPixmap * arg1){
	((QWidget *)instPointer)->setIcon((QPixmap& )*arg1);
}
char* qt_QWidget_iconText( qt_QWidget *instPointer){
	return (char*)((QWidget *)instPointer)->iconText();
}
void qt_QWidget_setIconText( qt_QWidget *instPointer,char* arg1){
	((QWidget *)instPointer)->setIconText((char* )arg1);
}
int qt_QWidget_hasMouseTracking( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->hasMouseTracking();
}
void qt_QWidget_setMouseTracking( qt_QWidget *instPointer,int enable){
	((QWidget *)instPointer)->setMouseTracking((bool )enable);
}
int qt_QWidget_isActiveWindow( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isActiveWindow();
}
void qt_QWidget_setActiveWindow( qt_QWidget *instPointer){
	((QWidget *)instPointer)->setActiveWindow();
}
int qt_QWidget_isFocusEnabled( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isFocusEnabled();
}
int qt_QWidget_focusPolicy( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->focusPolicy();
}
void qt_QWidget_setFocusPolicy( qt_QWidget *instPointer,int arg1){
	((QWidget *)instPointer)->setFocusPolicy((FocusPolicy )arg1);
}
int qt_QWidget_hasFocus( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->hasFocus();
}
void qt_QWidget_setFocus( qt_QWidget *instPointer){
	((QWidget *)instPointer)->setFocus();
}
void qt_QWidget_clearFocus( qt_QWidget *instPointer){
	((QWidget *)instPointer)->clearFocus();
}
void qt_QWidget_setTabOrder( qt_QWidget * arg1,qt_QWidget * arg2)
{
	QWidget::setTabOrder( (QWidget*)arg1,(QWidget*)arg2);
}
void qt_QWidget_setFocusProxy( qt_QWidget *instPointer,qt_QWidget * arg1){
	((QWidget *)instPointer)->setFocusProxy((QWidget* )arg1);
}
qt_QWidget * qt_QWidget_focusProxy( qt_QWidget *instPointer){
	return (qt_QWidget *)((QWidget *)instPointer)->focusProxy();
}
void qt_QWidget_grabMouse( qt_QWidget *instPointer){
	((QWidget *)instPointer)->grabMouse();
}
void qt_QWidget_grabMouse1( qt_QWidget *instPointer,qt_QCursor * arg1){
	((QWidget *)instPointer)->grabMouse((QCursor& )*arg1);
}
void qt_QWidget_releaseMouse( qt_QWidget *instPointer){
	((QWidget *)instPointer)->releaseMouse();
}
void qt_QWidget_grabKeyboard( qt_QWidget *instPointer){
	((QWidget *)instPointer)->grabKeyboard();
}
void qt_QWidget_releaseKeyboard( qt_QWidget *instPointer){
	((QWidget *)instPointer)->releaseKeyboard();
}
qt_QWidget * qt_QWidget_mouseGrabber()
{
	return (qt_QWidget *)QWidget::mouseGrabber();
}
qt_QWidget * qt_QWidget_keyboardGrabber()
{
	return (qt_QWidget *)QWidget::keyboardGrabber();
}
int qt_QWidget_isUpdatesEnabled( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isUpdatesEnabled();
}
void qt_QWidget_setUpdatesEnabled( qt_QWidget *instPointer,int enable){
	((QWidget *)instPointer)->setUpdatesEnabled((bool )enable);
}
void qt_QWidget_update( qt_QWidget *instPointer){
	((QWidget *)instPointer)->update();
}
void qt_QWidget_update1( qt_QWidget *instPointer,int x,int y,int w,int h){
	((QWidget *)instPointer)->update((int )x,(int )y,(int )w,(int )h);
}
void qt_QWidget_update2( qt_QWidget *instPointer,qt_QRect * arg1){
	((QWidget *)instPointer)->update((QRect& )*arg1);
}
void qt_QWidget_repaint( qt_QWidget *instPointer,int erase){
	((QWidget *)instPointer)->repaint((bool )erase);
}
void qt_QWidget_repaint1( qt_QWidget *instPointer,int x,int y,int w,int h,int erase){
	((QWidget *)instPointer)->repaint((int )x,(int )y,(int )w,(int )h,(bool )erase);
}
void qt_QWidget_repaint2( qt_QWidget *instPointer,qt_QRect * arg1,int erase){
	((QWidget *)instPointer)->repaint((QRect& )*arg1,(bool )erase);
}
void qt_QWidget_show( qt_QWidget *instPointer){
	((QWidget *)instPointer)->show();
}
void qt_QWidget_hide( qt_QWidget *instPointer){
	((QWidget *)instPointer)->hide();
}
void qt_QWidget_iconify( qt_QWidget *instPointer){
	((QWidget *)instPointer)->iconify();
}
int qt_QWidget_close( qt_QWidget *instPointer,int forceKill){
	return (int)((QWidget *)instPointer)->close((bool )forceKill);
}
int qt_QWidget_isVisible( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isVisible();
}
int qt_QWidget_isVisibleToTLW( qt_QWidget *instPointer){
	return (int)((QWidget *)instPointer)->isVisibleToTLW();
}
void qt_QWidget_raise( qt_QWidget *instPointer){
	((QWidget *)instPointer)->raise();
}
void qt_QWidget_lower( qt_QWidget *instPointer){
	((QWidget *)instPointer)->lower();
}
void qt_QWidget_move( qt_QWidget *instPointer,int x,int y){
	((QWidget *)instPointer)->move((int )x,(int )y);
}
void qt_QWidget_move1( qt_QWidget *instPointer,qt_QPoint * arg1){
	((QWidget *)instPointer)->move((QPoint& )*arg1);
}
void qt_QWidget_resize( qt_QWidget *instPointer,int w,int h){
	((QWidget *)instPointer)->resize((int )w,(int )h);
}
void qt_QWidget_resize1( qt_QWidget *instPointer,qt_QSize * arg1){
	((QWidget *)instPointer)->resize((QSize& )*arg1);
}
void qt_QWidget_setGeometry( qt_QWidget *instPointer,int x,int y,int w,int h){
	((QWidget *)instPointer)->setGeometry((int )x,(int )y,(int )w,(int )h);
}
void qt_QWidget_setGeometry1( qt_QWidget *instPointer,qt_QRect * arg1){
	((QWidget *)instPointer)->setGeometry((QRect& )*arg1);
}
qt_QSize * qt_QWidget_sizeHint( qt_QWidget *instPointer){
    QSize s=((QWidget *)instPointer)->sizeHint();
    return (qt_QSize *)new QSize (s.width(),s.height());
}
void qt_QWidget_adjustSize( qt_QWidget *instPointer){
	((QWidget *)instPointer)->adjustSize();
}
void qt_QWidget_recreate( qt_QWidget *instPointer,qt_QWidget * parent,uint arg1,qt_QPoint * arg2,int showIt){
	((QWidget *)instPointer)->recreate((QWidget* )parent,(WFlags )arg1,(QPoint& )*arg2,(bool )showIt);
}
void qt_QWidget_erase( qt_QWidget *instPointer){
	((QWidget *)instPointer)->erase();
}
void qt_QWidget_erase1( qt_QWidget *instPointer,int x,int y,int w,int h){
	((QWidget *)instPointer)->erase((int )x,(int )y,(int )w,(int )h);
}
void qt_QWidget_erase2( qt_QWidget *instPointer,qt_QRect * arg1){
	((QWidget *)instPointer)->erase((QRect& )*arg1);
}
void qt_QWidget_scroll( qt_QWidget *instPointer,int dx,int dy){
	((QWidget *)instPointer)->scroll((int )dx,(int )dy);
}
void qt_QWidget_drawText( qt_QWidget *instPointer,int x,int y,char* arg1){
	((QWidget *)instPointer)->drawText((int )x,(int )y,(char* )arg1);
}
void qt_QWidget_drawText1( qt_QWidget *instPointer,qt_QPoint * arg1,char* arg2){
	((QWidget *)instPointer)->drawText((QPoint& )*arg1,(char* )arg2);
}
qt_QWidget * qt_QWidget_focusWidget( qt_QWidget *instPointer){
	return (qt_QWidget *)((QWidget *)instPointer)->focusWidget();
}
qt_QWidget * qt_QWidget_parentWidget( qt_QWidget *instPointer){
	return (qt_QWidget *)((QWidget *)instPointer)->parentWidget();
}
int qt_QWidget_testWFlags( qt_QWidget *instPointer,uint n){
	return (int)((QWidget *)instPointer)->testWFlags((WFlags )n);
}
qt_QWidget * qt_QWidget_find( uint arg1)
{
	return (qt_QWidget *)QWidget::find( (WId)arg1);
}


/**************************************/
/*This function didn't wrap*/
/*XXX qt_QWidget_wmapper()*/
/*{*/
/*	return (XXX)QWidget::wmapper();*/
/*}*/
/**/

