/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#ifndef QT_QPIXMAP_PROTO
#define QT_QPIXMAP_PROTO
#include "qtc_types.h"


enum { Auto, Color, Mono };

qt_QPixmap *qt_new_QPixmap( );
qt_QPixmap *qt_new_QPixmap1(int w,int h,int depth);
qt_QPixmap *qt_new_QPixmap2(qt_QSize * arg1,int depth);
qt_QPixmap *qt_new_QPixmap3(char* fileName,char* format,int mode);
qt_QPixmap *qt_new_QPixmap4(char* fileName,char* format,int conversion_flags);
qt_QPixmap *qt_new_QPixmap5(char* xpm[]);
qt_QPixmap *qt_new_QPixmap6(qt_QPixmap * arg1);

int qt_QPixmap_isNull( qt_QPixmap *instPointer);
int qt_QPixmap_width( qt_QPixmap *instPointer);
int qt_QPixmap_height( qt_QPixmap *instPointer);
qt_QSize * qt_QPixmap_size( qt_QPixmap *instPointer);
qt_QRect * qt_QPixmap_rect( qt_QPixmap *instPointer);
int qt_QPixmap_depth( qt_QPixmap *instPointer);
int qt_QPixmap_defaultDepth();
void qt_QPixmap_fill( qt_QPixmap *instPointer,qt_QColor * fillColor);
void qt_QPixmap_fill1( qt_QPixmap *instPointer,qt_QWidget * arg1,int xofs,int yofs);
void qt_QPixmap_fill2( qt_QPixmap *instPointer,qt_QWidget * arg1,qt_QPoint * ofs);
void qt_QPixmap_resize( qt_QPixmap *instPointer,int width,int height);
void qt_QPixmap_resize1( qt_QPixmap *instPointer,qt_QSize * arg1);
qt_QBitmap * qt_QPixmap_mask( qt_QPixmap *instPointer);
void qt_QPixmap_setMask( qt_QPixmap *instPointer,qt_QBitmap * arg1);
int qt_QPixmap_selfMask( qt_QPixmap *instPointer);
qt_QBitmap * qt_QPixmap_createHeuristicMask( qt_QPixmap *instPointer,int clipTight);
qt_QPixmap * qt_QPixmap_grabWindow( uint arg1,int x,int y,int w,int h);
qt_QPixmap * qt_QPixmap_xForm( qt_QPixmap *instPointer,qt_QWMatrix * arg1);
qt_QWMatrix * qt_QPixmap_trueMatrix( qt_QWMatrix * arg1,int w,int h);
qt_QImage * qt_QPixmap_convertToImage( qt_QPixmap *instPointer);
int qt_QPixmap_convertFromImage( qt_QPixmap *instPointer,qt_QImage * arg1,int mode);
int qt_QPixmap_convertFromImage1( qt_QPixmap *instPointer,qt_QImage * arg1,int conversion_flags);
char* qt_QPixmap_imageFormat( char* fileName);
int qt_QPixmap_load( qt_QPixmap *instPointer,char* fileName,char* format,int mode);
int qt_QPixmap_load1( qt_QPixmap *instPointer,char* fileName,char* format,int conversion_flags);
int qt_QPixmap_loadFromData( qt_QPixmap *instPointer,unsigned char* buf,unsigned int len,char* format,int mode);
int qt_QPixmap_loadFromData1( qt_QPixmap *instPointer,unsigned char* buf,unsigned int len,char* format,int conversion_flags);
int qt_QPixmap_save( qt_QPixmap *instPointer,char* fileName,char* format);
int qt_QPixmap_serialNumber( qt_QPixmap *instPointer);
int qt_QPixmap_isOptimized( qt_QPixmap *instPointer);
void qt_QPixmap_optimize( qt_QPixmap *instPointer,int arg1);
int qt_QPixmap_isGloballyOptimized();
void qt_QPixmap_optimizeGlobally( int arg1);
void qt_QPixmap_detach( qt_QPixmap *instPointer);
int qt_QPixmap_isQBitmap( qt_QPixmap *instPointer);

#endif